<!doctype html>
<html lang="en">
<head>
<title>94-debuginfod-on-debian</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_UDzZRdH1B1XGhO4p" title="a_UDzZRdH1B1XGhO4p" style="background-color:#7b61ea">Debuginfod on Debian</span><br><span class="a_UDzZRdH1B1XGhO4p" title="a_UDzZRdH1B1XGhO4p" style="background-color:#7b61ea"></span><br><span class="a_UDzZRdH1B1XGhO4p" title="a_UDzZRdH1B1XGhO4p" style="background-color:#7b61ea">Q: </span><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6"></span><br><span class="anonymous" title="anonymous">    </span><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6"></span><br><span class="anonymous" title="anonymous">    </span><span class="a_7UcpNNJaBNCuxMe5" title="a_7UcpNNJaBNCuxMe5" style="background-color:#00065f">Paul Flaherty: What is the name of the tool to automate the gdb processes?</span><span class="a_UDzZRdH1B1XGhO4p" title="a_UDzZRdH1B1XGhO4p" style="background-color:#7b61ea"></span><br><span class="a_UDzZRdH1B1XGhO4p" title="a_UDzZRdH1B1XGhO4p" style="background-color:#7b61ea">    A: Answered in the video.</span><span class="a_7UcpNNJaBNCuxMe5" title="a_7UcpNNJaBNCuxMe5" style="background-color:#00065f"></span><br><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6"></span><br><span class="anonymous" title="anonymous">From IRC:</span><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6"></span><br><span class="anonymous" title="anonymous"><elbrus> sergiodj: thought about a section about debuginfod in the release notes in the new section? (or was that already there and I forgot)</span><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6"></span><br><span class="anonymous" title="anonymous"><sergiodj> elbrus: hm, good idea.  there's nothing about debuginfod there AFAIR</span><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6"></span><br><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6"></span><br><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6"><axhn> Are the downloaded files cached locally for the bandwitdh-impaired?</span><span class="a_UDzZRdH1B1XGhO4p" title="a_UDzZRdH1B1XGhO4p" style="background-color:#7b61ea"></span><br><span class="a_UDzZRdH1B1XGhO4p" title="a_UDzZRdH1B1XGhO4p" style="background-color:#7b61ea">A: Answered in the video.</span><span class="a_fBvf0TpRZ6K3P5rt" title="a_fBvf0TpRZ6K3P5rt" style="background-color:#7082fb"></span><br><span class="a_fBvf0TpRZ6K3P5rt" title="a_fBvf0TpRZ6K3P5rt" style="background-color:#7082fb"></span><br><span class="a_fBvf0TpRZ6K3P5rt" title="a_fBvf0TpRZ6K3P5rt" style="background-color:#7082fb">Q: is it possible to limit what debug packages are downloaded (so one can skip downloading all the shared libs one doesn't need, eg. low on bandwidth or disk space)? </span><span class="a_UDzZRdH1B1XGhO4p" title="a_UDzZRdH1B1XGhO4p" style="background-color:#7b61ea"></span><br><span class="a_UDzZRdH1B1XGhO4p" title="a_UDzZRdH1B1XGhO4p" style="background-color:#7b61ea">A: Try "set auto-solib-add off" before starting the binary.  You will then have to manually load the debuginfo for shlibs by using the "sharedlibrary" command.</span><span class="a_fBvf0TpRZ6K3P5rt" title="a_fBvf0TpRZ6K3P5rt" style="background-color:#7082fb"></span><br><span class="a_c01kNeyugtUOC3GJ" title="a_c01kNeyugtUOC3GJ" style="background-color:#a6a148"></span><br><span class="a_c01kNeyugtUOC3GJ" title="a_c01kNeyugtUOC3GJ" style="background-color:#a6a148">Q: It's any possibility to have a local mirror of debuginfod. For working offline?</span><span class="a_UDzZRdH1B1XGhO4p" title="a_UDzZRdH1B1XGhO4p" style="background-color:#7b61ea"></span><br><span class="a_UDzZRdH1B1XGhO4p" title="a_UDzZRdH1B1XGhO4p" style="background-color:#7b61ea">A: Yes!  debuginfod is federated, so you can have your local mirror without problems.  Bear in mind that you need a lot of storage to store debuginfos, though.</span><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
